JVM (?) 1.3.1 vs 1.4.1

Dieses Thema im Forum "Web Page Design" wurde erstellt von Hackmac, 19.05.2003.

  1. Hackmac

    Hackmac Thread Starter MacUser Mitglied

    Beiträge:
    1.042
    Zustimmungen:
    1
    MacUser seit:
    12.12.2002
    Hallo ich weiss jetzt nicht, ob ich hier richtig bin :confused: aber......


    es gab doch erst ein Update von Java VM auf 1.4.1
    Ich hab das nun brav gemacht.
    Wieso (wenn ich z.B. in einen Caht gehe) macht mir Camino immer die 1.3.1er Version im Fenster auf und nicht die 1.4.1er?!
    So verhalten sich alle Browser ausser anscheinend der Safari?!
    Kann man das irgendwo einstellen, welche Version verwendet wird?!
    Ich dachte, durch das Update gibts gar kein 1.3.1 mehr (Software-Aktualisierung)?!?!

    Was sind die Unterschiede (Vorteile ?!) von 1.4.1 zu 1.3.1

    Hilfe erbeten....:(

    Hackmac.
     
  2. Mephisto

    Mephisto Gast

    Hi Hackmac

    NUR Safari ist in der Lage das 1.4.1 Plugin zu nutzen, alle anderen Browser (darunter Camino) nutzen das alte 1.3.1.

    "Currently Sun does not have a Java Plug-in for Macs, but Mac OS X ships with Java 1.3 already included, and Apple also has an implementation of Java 1.4.1 available for Mac OS X 10.2.3 or later via their Software Update mechanism or from http://www.apple.com/downloads/macosx/. Note that according to Apple's web site, 1.4.1 will be installed alongside 1.3.1 rather than replacing it, and although Safari will use 1.4.1 if it is installed, other browsers will continue to use 1.3.1."

    Die gleiche Beobachtung wie Du habe ich gestern auch gemacht, als ich das JRE 1.4.1 installiert habe. Dieses wird nämlich parallel zum 1.3.1 installiert und das 1.3.1 wird nach der Installation vom 1.4.1 NICHT gelöscht.

    Ich find das zwar kacke, aber so siehts halt nunmal aus.

    Also wenn du Seiten hast, die nur mit 1.4.1 richtig laufen, solltest du den Safari benutzen.

    Gruß

    Mephisto
     
  3. Hackmac

    Hackmac Thread Starter MacUser Mitglied

    Beiträge:
    1.042
    Zustimmungen:
    1
    MacUser seit:
    12.12.2002
    SUPER / DANKE Mephisto :)

    Und ich dachte schon, ich hab was verdummdaddelt;)

    Sollte wohl mal vorher selber bei Apple oder Sun vorbeischauen:eek:


    Gruss,
    Hackmac.
     
  4. martyx

    martyx MacUser Mitglied

    Beiträge:
    2.588
    Zustimmungen:
    3
    MacUser seit:
    08.01.2003
    übrigens, empfiehlt apple, das nicht jeder das update durchführen sollte. sollten es vorerst nur entwickler? schaut mal selbst bei apple, da steht es irgendwo. ;-)